For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create subscriber

Create new subscriber.

post
/tenants/{tenantUid}/stores/{storeUid}/subscribers
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
subscriberUidstringOptionalPattern: ^[A-Za-z0-9-_]*
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
subscriptionTypestring · enumRequiredPossible values:
Responses
201

Example response

application/json
subscriberUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
createdBystringRequired
post/tenants/{tenantUid}/stores/{storeUid}/subscribers
POST /v2/tenants/{tenantUid}/stores/{storeUid}/subscribers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "subscriberUid": "text",
  "tenantUserUid": "text",
  "subscriptionType": "SALES_SUMMARY_REPORT"
}
201

Example response

{
  "subscriberUid": "text",
  "subscription": {
    "type": "SALES_SUMMARY_REPORT",
    "name": "text"
  },
  "tenantUser": {
    "tenantUserUid": "text",
    "displayName": "text",
    "email": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text"
}

Last updated

Was this helpful?